<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('monarch_election', function (Blueprint $table) {
            $table->unsignedInteger('pid');
            $table->unsignedInteger('selectedpid');
            $table->dateTime('electiondata')->useCurrent();

            $table->foreign('pid')->references('id')->on('player');
            $table->foreign('selectedpid')->references('id')->on('player');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('monarch_election');
    }
};
